import { BaseDocumentsVisitor, getConfigValue, } from "@graphql-codegen/visitor-plugin-common";
import { GraphQLSchema } from "graphql";
import { pascalCase } from "change-case-all";
export class TypeScriptDocumentsVisitor extends BaseDocumentsVisitor {
    constructor(schema, config) {
        super(config, {
            nonOptionalTypename: getConfigValue(config.nonOptionalTypename, false),
            preResolveTypes: getConfigValue(config.preResolveTypes, true),
            mergeFragmentTypes: getConfigValue(config.mergeFragmentTypes, false),
        }, schema);
    }
    getOperationName(operationNode) {
        return this.convertName(operationNode, {
            suffix: this._parsedConfig.operationResultSuffix,
        });
    }
    getOperationResultType(operationNode) {
        const operationType = pascalCase(operationNode.operation);
        const operationTypeSuffix = this.getOperationSuffix(operationNode, operationType);
        return this.convertName(operationNode, {
            suffix: operationTypeSuffix + this._parsedConfig.operationResultSuffix,
        });
    }
}
//# sourceMappingURL=visitor.js.map